Search Items
curl --request GET \
--url https://api.decodahealth.com/inventory/items/search \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/items/search"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/items/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"price": 123,
"taxable": true,
"discountTemplates": [
{
"id": "<string>",
"createdByItemId": "<string>",
"discountChoiceId": "<string>",
"itemId": "<string>",
"category": "<string>",
"percentage": 123,
"amount": 123,
"quantity": 123,
"expiryTimeDays": 123,
"renewalCycleInterval": 2,
"isStackable": true,
"isPrepayment": false,
"group": "<string>",
"isArchived": false,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"item": {
"id": "<string>",
"name": "<string>",
"brandName": "<string>",
"price": 123,
"cashPrice": 123,
"category": "<string>",
"isPhysical": true,
"isArchived": true,
"allowCustomPricing": true,
"showInCheckOut": true
}
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Items
Search Items
Word-prefix item search. Defaults to returning every match (capped at 500).
GET
/
inventory
/
items
/
search
Search Items
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Minimum string length:
2Available options:
ITEM, SERVICE, PRODUCT, PACKAGE, MEMBERSHIP, MEDICATION, SERVICE_FEE, GIFT_CARD Required range:
1 <= x <= 500Response
Successful Response
Unique identifier for the item
Name of the item
Price of the item in cents
Type of item
Available options:
ITEM, SERVICE, PRODUCT, PACKAGE, MEMBERSHIP, MEDICATION, SERVICE_FEE, GIFT_CARD Whether the item is taxable
For packages: the package's contents
Show child attributes
Show child attributes
⌘I
